<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>OVA files</h1>

<pre>

┌───guest.ova──────────┐
│ guest.ovf            │
│                      │
│ disk1.raw (or .vmdk) │
│                      │
└──────────────────────┘
</pre>

<pre>
tar file = header - file - header - file ...
</pre>

<pre>
┌──────────┐      ┌────────────┐      ┌────────────┐
│ test.ova │─────▶│ tar filter │─────▶│ qcow2 file │
└──────────┘      └────────────┘      └────────────┘
                                 ◀─── virt-sparsify --in-place
                                                            ┌───────────┐
                                 ───▶ qemu-img convert ────▶│ local.img │
                                                            └───────────┘
</pre>
